> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Public Stores

> All customer-facing physical locations for the storefront's
"Find a store" page — sales_point, pickup_point, and mixed (which is
both).



## OpenAPI

````yaml https://api.vellaro.io/openapi.json get /api/v1/stores
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/stores:
    get:
      tags:
        - stores
      summary: List Public Stores
      description: |-
        All customer-facing physical locations for the storefront's
        "Find a store" page — sales_point, pickup_point, and mixed (which is
        both).
      operationId: list_public_stores_api_v1_stores_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_list_StoreRead__'
components:
  schemas:
    ApiResponse_list_StoreRead__:
      properties:
        data:
          anyOf:
            - items:
                $ref: '#/components/schemas/StoreRead'
              type: array
            - type: 'null'
          title: Data
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[list[StoreRead]]
    StoreRead:
      properties:
        name:
          type: string
          title: Name
        code:
          anyOf:
            - type: string
            - type: 'null'
          title: Code
        type:
          type: string
          enum:
            - sales_point
            - warehouse
            - pickup_point
            - mixed
          title: Type
          default: sales_point
        is_default:
          type: boolean
          title: Is Default
          default: false
        is_active:
          type: boolean
          title: Is Active
          default: true
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
        ssl_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Ssl Url
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        phone:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone
        address_line1:
          anyOf:
            - type: string
            - type: 'null'
          title: Address Line1
        address_line2:
          anyOf:
            - type: string
            - type: 'null'
          title: Address Line2
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
        postal_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Postal Code
        state:
          anyOf:
            - type: string
            - type: 'null'
          title: State
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        latitude:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Latitude
        longitude:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Longitude
        opening_hours:
          anyOf:
            - type: string
            - type: 'null'
          title: Opening Hours
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        id:
          type: string
          format: uuid
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - name
        - id
        - created_at
        - updated_at
      title: StoreRead
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta

````